# Batch Assignment Settings Batch Assignment Settings ## Gets all of the batch assignment settings in the system. - [GET /batchAssignmentSettings/{tenantId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/batch-assignment-settings/listbatchassignmentsettings.md): This method will scan all batch assignment settings and and return them to the caller. ## Creates a new batch assignment setting record that does not already exist. - [POST /batchAssignmentSettings/{tenantId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/batch-assignment-settings/createbatchassignmentsetting.md): This method will auto-generate an ID and create a new batch assignment setting. If an ID is specified for the batch assignment setting, an error will be thrown. ## Execute Batch Operations - [POST /batchAssignmentSettings/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/batch-assignment-settings/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ## For a given transaction, determines the default batch - [POST /batchAssignmentSettings/{tenantId}/defaultBatch/{transactionType}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/batch-assignment-settings/calculatedefaultbatchfortransaction.md): For a given transaction, determines the default batch ## Returns a batch assignment setting from the system by its ID. - [DELETE /batchAssignmentSettings/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/batch-assignment-settings/deletebatchassignmentsetting.md): This method will delete a batch assignment setting with the specified ID. ## Returns a batch assignment setting from the system by its ID. - [GET /batchAssignmentSettings/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/batch-assignment-settings/getbatchassignmentsetting.md): This method will look up a batch assignment setting by the specified ID and return it back. ## Partially updates a batch assignment setting with the specified ID. - [PATCH /batchAssignmentSettings/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/batch-assignment-settings/patchbatchassignmentsetting.md): This method will patch an existing batch assignment setting with the specified ID, using the HTTP PATCH specification. ## Updates a batch assignment setting with the specified ID. - [PUT /batchAssignmentSettings/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/batch-assignment-settings/updatebatchassignmentsetting.md): This method will update an existing batch assignment setting with the specified ID.